HP Views Designer Assistant: MainWindow Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Attributes | List of all members
MainWindow Class Reference

The MainWindow class. More...

`#include <mainwindow.h>`

Inheritance diagram for MainWindow:

## Public Member Functions

| MainWindow (QWidget *parent=0)
| MainWindow contructor. More...
void | showError (int numErrors, QString errors)
| showError Shows error messages. More...
QPoint | getCurrentPosition () const
| getCurrentPosition Returns the position of the main window. More...

## Private Slots

void | on_menuBtn_clicked ()
| on_menuBtn_clicked This slot is executed when home button is clicked.
void | on_infoBtn_clicked ()
| on_infoBtn_clicked This slot is executed when information button is clicked.
void | on_inkBtn_clicked ()
| on_inkBtn_clicked This slot is executed when home button is clicked.
void | on_editBtn_clicked ()
| on_editBtn_clicked This slot is executed when edit button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed when settings button is clicked.
void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when help button is clicked.
void | moveEvent (QMoveEvent *event)
| moveEvent This slot is executed when the main window is moved. More...
void | on_editBtnUp_clicked ()
| on_editBtnUp_clicked This slot is executed when edit button is clicked.
void | on_editBtnDown_clicked ()
| on_editBtnDown_clicked This slot is executed when edit button is clicked.
void | on_infoBtnUp_clicked ()
| on_infoBtnUp_clicked This slot is executed when information button is clicked.
void | on_infoBtnDown_clicked ()
| on_infoBtnDown_clicked This slot is executed when information button is clicked.
void | on_menuBtnUp_clicked ()
| on_menuBtnUp_clicked This slot is executed when menu button is clicked.
void | on_menuBtnDown_clicked ()
| on_menuBtnDown_clicked This slot is executed when menu button is clicked.
void | on_inkBtnUp_clicked ()
| on_inkBtnUp_clicked This slot is executed when ink button is clicked.
void | on_inkBtnDown_clicked ()
| on_inkBtnDown_clicked This slot is executed when ink button is clicked.
void | on_startBtn_clicked ()
| on_startBtn_clicked This slot is executed when start button is clicked.
void | closeEvent (QCloseEvent *e)
| closeEvent This slot is executed when main window is closed. More...

## Private Attributes

Ui::MainWindow * | ui
| ui
MainWindowController * | controller
| controller Main window controller.
QPoint | currentPosition
| currentPosition Main window position.

## Detailed Description

The MainWindow class.

## Constructor & Destructor Documentation

## ◆ MainWindow()

MainWindow::MainWindow | ( | QWidget * | parent = `0` | ) |

explicit

MainWindow contructor.

Parameters

  parent | Main window parent widget.

## Member Function Documentation

## ◆ closeEvent

void MainWindow::closeEvent | ( | QCloseEvent * | e | ) |

privateslot

closeEvent This slot is executed when main window is closed.

Parameters

  e | Close event.

## ◆ getCurrentPosition()

QPoint MainWindow::getCurrentPosition | ( |  | ) | const

getCurrentPosition Returns the position of the main window.

Returns
  Current position.

## ◆ moveEvent

void MainWindow::moveEvent | ( | QMoveEvent * | event | ) |

privateslot

moveEvent This slot is executed when the main window is moved.

Parameters

  event | Move Event.

## ◆ showError()

void MainWindow::showError | ( | int | numErrors,
|  | QString | errors
| ) |  |

showError Shows error messages.

Parameters

  numErrors | Number of messages.
  errors | Messages.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/mainwindow.h
- D:/Documentos/ViewDesignerAssistant/View/mainwindow.cpp